[Debichem-devel] [Pkg-scicomp-devel] Open MPI 1.3 related rebuilds

Dirk Eddelbuettel edd at debian.org
Sun Feb 1 16:52:18 UTC 2009

On 1 February 2009 at 00:37, Steve M. Robbins wrote:
| Hello Dirk,
| On Mon, Jan 26, 2009 at 09:10:04PM -0600, Dirk Eddelbuettel wrote:
| > Open MPI 1.3, released a few days ago, recommends a rebuild of its
| > dependencies.  
| > 
| > Given the fairly small number of affected packages, we are hoping do drive
| > this rebuild 'informally' rather than with the full force of libopenmpi-1.2
| > and libopenmpi-1.3 libraries (which would still require rebuilds, but also
| > delays via NEW etc pp).  Details and logs of this initiative are on a new
| > wiki page at   http://wiki.debian.org/OpenMPI13Transition
| The wiki page states that Open MPI 1.3 is not binary compatible with
| Open MPI 1.2.  Presumably, therefore, the SONAME has changed.  

Not quite. It's more complicated because of the fact that at least three
different implementations (LAM/MPI, MPICH and MPICH2, OpenMPI) provide
/usr/lib/libmpi.so and there is no soname encoded.

Also note that it isn't strictly incompatible. Some users of Open MPI that
were built agains 1.2.* continue to work under 1.3.

| So I don't understand what this request is about.  Can you explain?

I am kindly requesting those who have a reverse dependency on Open MPI (aka
libopenmpi1) to rebuild their package against the version in unstable.  

Let me/us know if you have other questions.

My thanks to Christophe and Ondrej for dealing with paraview. One more down,
couple more to go...

Thanks, Dirk

Three out of two people have difficulties with fractions.

More information about the Debichem-devel mailing list